commit:     6398eee7363d9463bb1c0a19b06316b6b1bc380d
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 28 22:06:02 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Oct 28 22:07:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6398eee7

net-misc/youtube-dl: Version 2018.10.29

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-misc/youtube-dl/Manifest                     |   1 +
 net-misc/youtube-dl/youtube-dl-2018.10.29.ebuild | 117 +++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/net-misc/youtube-dl/Manifest b/net-misc/youtube-dl/Manifest
index dbbb258feb2..00ccfabfc48 100644
--- a/net-misc/youtube-dl/Manifest
+++ b/net-misc/youtube-dl/Manifest
@@ -2,3 +2,4 @@ DIST youtube-dl-2017.11.15.tar.gz 2834012 BLAKE2B 
fd93e3923f99874be58681a886c09e
 DIST youtube-dl-2018.08.22.tar.gz 3025389 BLAKE2B 
e8d2d8bccab8c169d08de35544e5efb05c65799c26894807e075edfe090d36de30fea787f54d59e4fc8b671356ce2e1d9002627948fb05becc9d2e3bc634164c
 SHA512 
ef17c744ac27b3bf547124f18a155908a66ee75f3f6fb5d7dd8a1d8da61a5a598bbade6cf0362e8c93c337dcf47750db5f56357919226430f02d0b764011ffb5
 DIST youtube-dl-2018.09.26.tar.gz 3042551 BLAKE2B 
1cf4fe51a55bd82bacf5405119f91c78d975d755c8dc50e41b52f8e0af26074d6873b4046970afda81b3732825918c3bd1a14aaf3ef554096db063b365a72e6a
 SHA512 
b54721bd9b6c6bb66d0ddf4000a435bf8f4d3884a513aada844497db38a5bca34f82484b483b20adb709043ffdd1c00b6aa6cb9c5e6d5be2306d0ae7be77caee
 DIST youtube-dl-2018.10.05.tar.gz 3044157 BLAKE2B 
c65651eebda6bd9c28245415f7aa804c78a74fa33a9717a3e9589734334ed8d12d5432eadd18d55ee46d4b51b1cacbe458c2ad175ed2e135b838fac54d468192
 SHA512 
b581372522d467b3277d81bdc9978352c720d4f33e0d8249cd0271eb1814a153324a5b34608d88d392bb52b1c57d0a6f425baf8377d5609810ef770839586714
+DIST youtube-dl-2018.10.29.tar.gz 3045428 BLAKE2B 
cf21d3113c07b7d62a373ada4a366fa61231eb8aa7f14192683451c99cf3f4f59d1abc04053359c2c3b40e7f80cfc2c5325f66a1b73196bb561a2244988f5114
 SHA512 
86f94acc888084348466d8aabc3711f25cbeb28c9a7afe08dcf23034d3b43d0e0a9c58dab60fe9c7eb2ab8ce2e3ce97b849e1eb11f547d173bb25dbb9df1b39f

diff --git a/net-misc/youtube-dl/youtube-dl-2018.10.29.ebuild 
b/net-misc/youtube-dl/youtube-dl-2018.10.29.ebuild
new file mode 100644
index 00000000000..ccd279b522c
--- /dev/null
+++ b/net-misc/youtube-dl/youtube-dl-2018.10.29.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
+inherit bash-completion-r1 distutils-r1 readme.gentoo-r1
+
+DESCRIPTION="Download videos from YouTube.com (and more sites...)"
+HOMEPAGE="https://rg3.github.com/youtube-dl/";
+SRC_URI="https://youtube-dl.org/downloads/${PV}/${P}.tar.gz";
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+IUSE="+offensive test"
+
+RDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( dev-python/nose[coverage(+)] )
+"
+
+S="${WORKDIR}/${PN}"
+
+python_prepare_all() {
+       if ! use offensive; then
+               sed -i -e "/..version../s|'$|+gentoo.no.offensive.sites'|g" \
+                       youtube_dl/version.py || die
+               # these have single line import statements
+               local xxx=(
+                       alphaporno anysex behindkink camwithher chaturbate 
eporner
+                       eroprofile extremetube foxgay goshgay hellporno 
hentaistigma
+                       hornbunny keezmovies lovehomeporn mofosex myvidster 
porn91 porncom
+                       pornflip pornhd pornotube pornovoisines pornoxo 
ruleporn sexu
+                       slutload spankbang spankwire sunporno thisav vporn 
watchindianporn
+                       xbef xnxx xtube xvideos xxxymovies youjizz youporn
+               )
+               # these have multi-line import statements
+               local mxxx=(
+                       drtuber fourtube motherless pornhub redtube tnaflix 
tube8 xhamster
+               )
+               # do single line imports
+               sed -i \
+                       -e $( printf '/%s/d;' ${xxx[@]} ) \
+                       youtube_dl/extractor/extractors.py \
+                       || die
+
+               # do multiple line imports
+               sed -i \
+                       -e $( printf '/%s/,/)/d;' ${mxxx[@]} ) \
+                       youtube_dl/extractor/extractors.py \
+                       || die
+
+               sed -i \
+                       -e $( printf '/%s/d;' ${mxxx[@]} ) \
+                       youtube_dl/extractor/generic.py \
+                       || die
+
+               rm \
+                       $( printf 'youtube_dl/extractor/%s.py ' ${xxx[@]} ) \
+                       $( printf 'youtube_dl/extractor/%s.py ' ${mxxx[@]} ) \
+                       test/test_age_restriction.py \
+                       || die
+       fi
+
+       eapply_user
+
+       distutils-r1_python_prepare_all
+}
+
+src_compile() {
+       distutils-r1_src_compile
+}
+
+python_test() {
+       emake test
+}
+
+python_install_all() {
+       dodoc README.txt
+       doman ${PN}.1
+
+       newbashcomp ${PN}.bash-completion ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       newins youtube-dl.zsh _youtube-dl
+
+       insinto /usr/share/fish/vendor_completions.d
+       doins youtube-dl.fish
+
+       distutils-r1_python_install_all
+
+       rm -r "${ED}"/usr/etc || die
+       rm -r "${ED}"/usr/share/doc/youtube_dl || die
+}
+
+pkg_postinst() {
+       elog "youtube-dl(1) / https://bugs.gentoo.org/355661 /"
+       elog "https://github.com/rg3/youtube-dl/blob/master/README.md#faq :"
+       elog
+       elog "${PN} works fine on its own on most sites. However, if you want"
+       elog "to convert video/audio, you'll need avconf (media-video/libav) or"
+       elog "ffmpeg (media-video/ffmpeg). On some sites - most notably YouTube 
-"
+       elog "videos can be retrieved in a higher quality format without sound."
+       elog "${PN} will detect whether avconv/ffmpeg is present and"
+       elog "automatically pick the best option."
+       elog
+       elog "Videos or video formats streamed via RTMP protocol can only be"
+       elog "downloaded when rtmpdump (media-video/rtmpdump) is installed."
+       elog "Downloading MMS and RTSP videos requires either mplayer"
+       elog "(media-video/mplayer) or mpv (media-video/mpv) to be installed."
+       elog
+       elog "If you want ${PN} to embed thumbnails from the metadata into the"
+       elog "resulting MP4 files, consider installing 
media-video/atomicparsley"
+}

Reply via email to